Summary:       Run a subprocess in batch mode
Name:          perl-IPC-Run3
Version:       0.048
Release:       6%{?dist}
License:       GPL+ or Artistic or BSD
URL:           https://metacpan.org/release/IPC-Run3
Source0:       https://cpan.metacpan.org/authors/id/R/RJ/RJBS/IPC-Run3-%{version}.tar.gz

Patch3000:     0001-test-and-fix-for-RT-52317-Calling-run3-garbles-STDIN.patch

BuildRequires: make perl-generators perl(Carp) perl(Exporter) perl(Test::Pod::Coverage)
BuildRequires: perl(ExtUtils::MakeMaker) perl(File::Temp) perl(Getopt::Long) perl(POSIX) perl(Test)
BuildRequires: perl(Test::More) perl(Time::HiRes) perl(constant) perl(strict) perl(Test::Pod)

BuildArch:     noarch

%description
This module allows you to run a subprocess and redirect stdin, stdout, and/or stderr to files and
perl data structures. It aims to satisfy 99% of the need for using system, qx, and open3 with a
simple, extremely Perlish API and none of the bloat and rarely used features of IPC::Run.

%prep
%autosetup -n IPC-Run3-%{version} -p1

find -type f -exec chmod -x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test RELEASE_TESTING=1

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.048-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.048-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.048-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.048-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.048-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 9 2023 Shuo Wang <abushwang@tencent.com> - 0.048-1
- initial build
